<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates.scripts_ana.b_find_shared_particles package &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package" href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html" />
    <link rel="prev" title="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="lib.html">lib package</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="scripts.html">scripts.multiple_candidates package</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="scripts.html#multiple-candidates">Multiple candidates</a></li>
<li class="toctree-l2"><a class="reference internal" href="scripts.html#subpackages">Subpackages</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="scripts.html#scripts">Scripts</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html">scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">scripts.multiple_candidates.scripts_ana.b_find_shared_particles package</a></li>
<li class="toctree-l4"><a class="reference internal" href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html">scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="scripts.multiple_candidates.scripts_select.html">scripts.multiple_candidates.scripts_select package</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="scripts.html">scripts.multiple_candidates package</a> &raquo;</li>
          <li><a href="scripts.multiple_candidates.scripts_ana.html">scripts.multiple_candidates.scripts_ana package</a> &raquo;</li>
      <li>scripts.multiple_candidates.scripts_ana.b_find_shared_particles package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/scripts.multiple_candidates.scripts_ana.b_find_shared_particles.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <div class="section" id="scripts-multiple-candidates-scripts-ana-b-find-shared-particles-package">
<h1>scripts.multiple_candidates.scripts_ana.b_find_shared_particles package<a class="headerlink" href="#scripts-multiple-candidates-scripts-ana-b-find-shared-particles-package" title="Permalink to this heading"></a></h1>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config">
<span id="scripts-multiple-candidates-scripts-ana-b-find-shared-particles-config-module"></span><h2>scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config" title="Permalink to this heading"></a></h2>
<p>Configuration of the script
<code class="xref py py-mod docutils literal notranslate"><span class="pre">multiple_candidates.scripts_ana.b_find_shared_particles.run</span></code>.</p>
<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_FEATURES">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.</span></span><span class="sig-name descname"><span class="pre">DICT_FEATURES</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'Dst_D0_K':</span> <span class="pre">['lab3_PX',</span> <span class="pre">'lab3_PY',</span> <span class="pre">'lab3_PZ',</span> <span class="pre">'lab3_PE'],</span> <span class="pre">'Dst_D0_pi':</span> <span class="pre">['lab4_PX',</span> <span class="pre">'lab4_PY',</span> <span class="pre">'lab4_PZ',</span> <span class="pre">'lab4_PE'],</span> <span class="pre">'Dst_pi':</span> <span class="pre">['lab5_PX',</span> <span class="pre">'lab5_PY',</span> <span class="pre">'lab5_PZ',</span> <span class="pre">'lab5_PE'],</span> <span class="pre">'l':</span> <span class="pre">['lab6_PX',</span> <span class="pre">'lab6_PY',</span> <span class="pre">'lab6_PZ',</span> <span class="pre">'lab6_PE']}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_FEATURES" title="Permalink to this definition"></a></dt>
<dd><p>Associates a number with the observables to test
to check whether the particle is the same for the 2 candidates</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_LEPTON_LABELS">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.</span></span><span class="sig-name descname"><span class="pre">DICT_LEPTON_LABELS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'Electron':</span> <span class="pre">'e^{+}',</span> <span class="pre">'Mu':</span> <span class="pre">'\\mu^{+}'}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_LEPTON_LABELS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a lepton flavour with a label (with the <cite>$</cite>)</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_PARTICLE_LABELS">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.</span></span><span class="sig-name descname"><span class="pre">DICT_PARTICLE_LABELS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'B0':</span> <span class="pre">'$B^{{0}}</span> <span class="pre">=</span> <span class="pre">\\left(\\left(K^{{-}}</span> <span class="pre">\\pi^{{+}}\\right)\\pi^{{-}}\\right){l}$',</span> <span class="pre">'Dst':</span> <span class="pre">'$D^{\\star</span> <span class="pre">-}</span> <span class="pre">=</span> <span class="pre">\\left(K^{-}</span> <span class="pre">\\pi^{+}\\right)\\pi^{-}$',</span> <span class="pre">'Dst_D0':</span> <span class="pre">'$D^{0}</span> <span class="pre">=</span> <span class="pre">K^{-}</span> <span class="pre">\\pi^{+}$',</span> <span class="pre">'Dst_D0_K':</span> <span class="pre">'$K^{-}$</span> <span class="pre">from</span>&#160; <span class="pre">$D^{0}$',</span> <span class="pre">'Dst_D0_pi':</span> <span class="pre">'$\\pi^{+}$</span> <span class="pre">from</span>&#160; <span class="pre">$D^{0}$',</span> <span class="pre">'Dst_pi':</span> <span class="pre">'$\\pi^{-}$</span> <span class="pre">from</span> <span class="pre">$D^{*-}$',</span> <span class="pre">'l':</span> <span class="pre">'${l}$'}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_PARTICLE_LABELS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a particle with its label.</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_PARTICLE_LABEL_FLAVOURS">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.</span></span><span class="sig-name descname"><span class="pre">DICT_PARTICLE_LABEL_FLAVOURS</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">{'Electron':</span> <span class="pre">{'B0':</span> <span class="pre">'$B^{0}</span> <span class="pre">=</span> <span class="pre">\\left(\\left(K^{-}</span> <span class="pre">\\pi^{+}\\right)\\pi^{-}\\right)e^{+}$',</span> <span class="pre">'Dst':</span> <span class="pre">'$D^{\\star</span> <span class="pre">-}</span> <span class="pre">=</span> <span class="pre">\\left(K^{-}</span> <span class="pre">\\pi^{+}\\right)\\pi^{-}$',</span> <span class="pre">'Dst_D0':</span> <span class="pre">'$D^{0}</span> <span class="pre">=</span> <span class="pre">K^{-}</span> <span class="pre">\\pi^{+}$',</span> <span class="pre">'Dst_D0_K':</span> <span class="pre">'$K^{-}$</span> <span class="pre">from</span>&#160; <span class="pre">$D^{0}$',</span> <span class="pre">'Dst_D0_pi':</span> <span class="pre">'$\\pi^{+}$</span> <span class="pre">from</span>&#160; <span class="pre">$D^{0}$',</span> <span class="pre">'Dst_pi':</span> <span class="pre">'$\\pi^{-}$</span> <span class="pre">from</span> <span class="pre">$D^{*-}$',</span> <span class="pre">'l':</span> <span class="pre">'$e^{+}$'},</span> <span class="pre">'Mu':</span> <span class="pre">{'B0':</span> <span class="pre">'$B^{0}</span> <span class="pre">=</span> <span class="pre">\\left(\\left(K^{-}</span> <span class="pre">\\pi^{+}\\right)\\pi^{-}\\right)\\mu^{+}$',</span> <span class="pre">'Dst':</span> <span class="pre">'$D^{\\star</span> <span class="pre">-}</span> <span class="pre">=</span> <span class="pre">\\left(K^{-}</span> <span class="pre">\\pi^{+}\\right)\\pi^{-}$',</span> <span class="pre">'Dst_D0':</span> <span class="pre">'$D^{0}</span> <span class="pre">=</span> <span class="pre">K^{-}</span> <span class="pre">\\pi^{+}$',</span> <span class="pre">'Dst_D0_K':</span> <span class="pre">'$K^{-}$</span> <span class="pre">from</span>&#160; <span class="pre">$D^{0}$',</span> <span class="pre">'Dst_D0_pi':</span> <span class="pre">'$\\pi^{+}$</span> <span class="pre">from</span>&#160; <span class="pre">$D^{0}$',</span> <span class="pre">'Dst_pi':</span> <span class="pre">'$\\pi^{-}$</span> <span class="pre">from</span> <span class="pre">$D^{*-}$',</span> <span class="pre">'l':</span> <span class="pre">'$\\mu^{+}$'}}</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.DICT_PARTICLE_LABEL_FLAVOURS" title="Permalink to this definition"></a></dt>
<dd><p>Associates a flavour with a dictionnary that associates
a particle with its label.</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.LIST_DISCR_OBSERVABLES">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.</span></span><span class="sig-name descname"><span class="pre">LIST_DISCR_OBSERVABLES</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">['PX',</span> <span class="pre">'PY',</span> <span class="pre">'PZ',</span> <span class="pre">'PE']</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.LIST_DISCR_OBSERVABLES" title="Permalink to this definition"></a></dt>
<dd><p>Observables used for discrimination</p>
</dd></dl>

<dl class="py data">
<dt class="sig sig-object py" id="scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.LIST_FINAL_STATE_PARTICLES">
<span class="sig-prename descclassname"><span class="pre">scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.</span></span><span class="sig-name descname"><span class="pre">LIST_FINAL_STATE_PARTICLES</span></span><em class="property"><span class="w"> </span><span class="p"><span class="pre">=</span></span><span class="w"> </span><span class="pre">['Dst_D0_K',</span> <span class="pre">'Dst_D0_pi',</span> <span class="pre">'Dst_pi',</span> <span class="pre">'l']</span></em><a class="headerlink" href="#scripts.multiple_candidates.scripts_ana.b_find_shared_particles.config.LIST_FINAL_STATE_PARTICLES" title="Permalink to this definition"></a></dt>
<dd><p>List of the final-state particles</p>
</dd></dl>

</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles.run">
<span id="scripts-multiple-candidates-scripts-ana-b-find-shared-particles-run-module"></span><h2>scripts.multiple_candidates.scripts_ana.b_find_shared_particles.run module<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles.run" title="Permalink to this heading"></a></h2>
<p>Find the shared particle 4-momenta between combinations of 2 multiple
candidates belonging to the same event. Could be easily adapted to other
kind of variables.</p>
<p>To plot the shared particles of the data sample, run</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">python</span> <span class="o">./</span><span class="n">b_find_multiple_candidates</span><span class="o">/</span><span class="n">run</span><span class="o">.</span><span class="n">py</span> <span class="o">-</span><span class="n">f</span> <span class="p">{</span><span class="n">flavour</span><span class="p">}</span> <span class="o">-</span><span class="n">s</span> <span class="p">{</span><span class="n">sample_type</span><span class="p">}</span>
</pre></div>
</div>
<p>where <code class="docutils literal notranslate"><span class="pre">{flavour}</span></code> is either <code class="docutils literal notranslate"><span class="pre">Electron</span></code> or <code class="docutils literal notranslate"><span class="pre">Mu</span></code>
and <code class="docutils literal notranslate"><span class="pre">{sample_type}</span></code> is the sample you want to analyse
(<code class="docutils literal notranslate"><span class="pre">data</span></code>, <code class="docutils literal notranslate"><span class="pre">comb</span></code>, etc.).</p>
<p>The paths are defined in <code class="docutils literal notranslate"><span class="pre">definition/paths.py</span></code> but they can be changed, by
using the arguments <code class="docutils literal notranslate"><span class="pre">-i</span> <span class="pre">{inpath}</span></code> and <code class="docutils literal notranslate"><span class="pre">-o</span> <span class="pre">{outpath}</span></code>, where :</p>
<ul class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">inpath</span></code> is the path of the folder where the ROOT files are located</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">outpath</span></code> is the path of the folder where all the outputs are located, in particular the plots and the pickle files.</p></li>
</ul>
<p>This script uses the output of <cite>find_mulcan.py</cite> which must
be run beforehand.</p>
</div>
<div class="section" id="module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-scripts.multiple_candidates.scripts_ana.b_find_shared_particles" title="Permalink to this heading"></a></h2>
</div>
</div>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates.html" class="btn btn-neutral float-left" title="scripts.multiple_candidates.scripts_ana.a_find_multiple_candidates package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates.html" class="btn btn-neutral float-right" title="scripts.multiple_candidates.scripts_ana.c_compare_multiple_candidates package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>